# Get a workflow

> **GET** `https://api.us.nylas.com/v3/grants/{grant_id}/workflows/{workflow_id}`

Source: https://developer.nylas.com/docs/reference/api/grant-level-workflows/get-grant-workflow/

Returns the specified grant-level workflow.

**Authentication:** NYLAS_API_KEY, ACCESS_TOKEN

## Parameters

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `grant_id` | string | Yes | ID of the grant to access. You can also use the email address associated with the grant, or use `/me/` to refer to the grant associated with an access token. |
| `workflow_id` | string | Yes | The ID of the workflow to access. |

## Responses

### 200 - Success. Returns workflow.

- `request_id` (string) **(required)** - The ID of the request.
- `data` (object) **(required)** - A custom workflow that sends messages from a template when certain events are triggered.
  - `app_id` (string,null) - The ID of the Nylas application associated with the workflow. Returned only if the
workflow is configured at the application level.
  - `date_created` (integer) **(required)** - When the workflow was created, in seconds using the Unix timestamp format.
  - `delay` (integer) **(required)** - The number of minutes between a `trigger_event` being met and the workflow sending
a message.
  - `grant_id` (string,null) - The ID of the grant associated with the workflow. Returned only if the workflow is
configured at the grant level.
  - `id` (string) **(required)** - The ID of the workflow.
  - `is_enabled` (boolean) **(required)** - When `true`, indicates that the workflow is enabled.
  - `name` (string) **(required)** - The name of the workflow.
  - `template_id` (string) **(required)** - The ID of the email template the workflow uses.
  - `trigger_event` (string) **(required)** - The event which triggers the workflow.
  - `from` (object,null) - Details of the sender if the workflow uses transactional send.

### 400 - Bad Request

- `request_id` (string) - The request ID.
- `error` (object) - The response error object.
  - `type` (string) - The error type.
  - `message` (string) - The error message.
  - `provider_error` (object) - The error from the provider.

## Code samples

### cURL

```bash
curl --request GET \
  --url "https://api.us.nylas.com/v3/grants/<NYLAS_GRANT_ID>/workflows/<WORKFLOW_ID>" \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <NYLAS_API_KEY>' \
  --header 'Content-Type: application/json'
```
